pkipplib-0.07-206.2.x86_64.rpm


Advertisement

Description

pkipplib - IPP and CUPS support for Python

Distribution: openSUSE 42.1
Repository: openSUSE Oss all
Package name: pkipplib
Package version: 0.07
Package release: 206.2
Package architecture: x86_64
Package type: rpm
Installed size: 94.07 KB
Download size: 28.40 KB
Official Mirror: ftp.gwdg.de
This software is a Python library which can prepare IPP requests with the help of a somewhat high level API. These requests can then be sent to an IPP printer or print server (e.g. CUPS). This library can also parse IPP answers received, and create high level Python objects from them. Both of these actions can be done through an IPPRequest class and its instance methods. Finally, a CUPS class can be leveraged to easily deal with CUPS print servers. All of this library being written in the Python language, there is no need to link the code with the CUPS' API, which makes it independant of the CUPS version being installed. Nevertheless some features require an appropriate CUPS version which supports the functionality (e.g. IPP subscriptions require CUPS 1.2.x).

Alternatives

Requires

  • /usr/bin/env
  • /usr/bin/python
  • python
  • python(abi) = 2.7
  • rpmlib(CompressedFileNames) <= 3.0.4-1
  • rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  • rpmlib(PayloadIsLzma) <= 4.4.6-1

Provides

  • pkipplib = 0.07-206.2
  • pkipplib(x86-64) = 0.07-206.2

    Download

    Install Howto

    Install pkipplib rpm package:

    # zypper install pkipplib

    Files

    • /usr/bin/pksubscribe
    Advertisement
    Advertisement